Skip to content
Toggle Menu
Scarab
Get Started
Usage
References
Demo
Search
Ctrl
K
Cancel
GitHub
Toggle theme
Overview
scarab-server
0.1.0
Section titled “scarab-server 0.1.0”
Information
License: AGPL-3.0-only
OpenAPI version:
3.1.0
Operations
Section titled “Operations”
GET
/v1/repos/{org}/{repo}/runs
GET
/v1/runs
POST
/v1/runs
GET
/v1/runs/{id}
GET
/v1/runs/{id}/artifacts
GET
/v1/runs/{id}/artifacts/{name}
POST
/v1/runs/{id}/cancel
GET
/v1/runs/{id}/events
POST
/v1/runs/{id}/gates/{step}/approve
POST
/v1/runs/{id}/gates/{step}/release
GET
/v1/runs/{id}/logs
GET
/v1/runs/{id}/services
GET
/v1/runs/{id}/services/{service}/logs
POST
/v1/runs/{id}/snapshots-pin
DELETE
/v1/runs/{id}/snapshots-pin
GET
/v1/runs/{id}/steps/{step}/attach
GET
/v1/runs/{id}/steps/{step}/consumed
GET
/v1/runs/{id}/steps/{step}/debug-pod
GET
/v1/runs/{id}/steps/{step}/logs
POST
/v1/runs/{id}/steps/{step}/rerun
GET
/v1/runs/{id}/steps/{step}/rerun-plan
GET
/v1/runs/{id}/steps/{step}/results
POST
/v1/runs/{id}/steps/{step}/results
POST
/v1/runs/{id}/steps/{step}/retry
GET
/v1/runs/{id}/steps/{step}/workspace
GET
/v1/runs/{id}/steps/{step}/workspace/file
GET
/v1/repos
POST
/v1/repos/{org}/{repo}/dispatch
GET
/v1/repos/{org}/{repo}/pipelines
GET
/v1/repos/{org}/{repo}/pipelines/{name}/interface
GET
/v1/repos/{org}/{repo}/refs
GET
/v1/repos/{org}/{repo}/environments
GET
/v1/repos/{org}/{repo}/environments/{name}
PUT
/v1/repos/{org}/{repo}/environments/{name}
DELETE
/v1/repos/{org}/{repo}/environments/{name}
GET
/v1/repos/{org}/{repo}/environments/{name}/deployments
GET
/v1/repos/{org}/{repo}/secrets/matrix
PUT
/v1/repos/{org}/{repo}/secrets/matrix/silenced
DELETE
/v1/repos/{org}/{repo}/secrets/matrix/silenced
GET
/v1/secrets
POST
/v1/secrets
DELETE
/v1/secrets
POST
/webhooks/forgejo
POST
/webhooks/github
GET
/v1/connections
POST
/v1/connections
DELETE
/v1/connections/{id}
GET
/v1/connections/{id}/available-repos
GET
/v1/connections/{id}/preflight
POST
/v1/connections/{id}/repos
DELETE
/v1/connections/{id}/repos/{owner}/{name}
POST
/v1/connections/{id}/repos/{owner}/{name}/webhook
POST
/v1/connections/{id}/resync
GET
/.well-known/jwks.json
GET
/.well-known/openid-configuration
GET
/v1/auth/callback
GET
/v1/auth/login
POST
/v1/auth/login
POST
/v1/auth/logout
GET
/v1/me
GET
/v1/orgs/{org}/bindings
PUT
/v1/orgs/{org}/bindings
DELETE
/v1/orgs/{org}/bindings
POST
/v1/repos/{org}/{repo}/bindings/import
GET
/healthz
GET
/metrics
GET
/readyz
On this page
Overview
scarab-server (0.1.0)
Operations
Get Started
Usage
References
Demo
Get Started
Overview
Installation
Run locally
Local Development
Usage
Pipeline Syntax
Secrets
Environments
Environment Variables
References
API
Thesis & language (CONTEXT)